package net.minecraft.network.chat;

public class TranslatableFormatException extends IllegalArgumentException {
    public TranslatableFormatException(final TranslatableComponent ne, final String string) {
        super(String.format("Error parsing: %s: %s", ne, string));
    }
    
    public TranslatableFormatException(final TranslatableComponent ne, final int integer) {
        super(String.format("Invalid index %d requested for %s", integer, ne));
    }
    
    public TranslatableFormatException(final TranslatableComponent ne, final Throwable throwable) {
        super(String.format("Error while parsing: %s", ne), throwable);
    }
}
